Page MenuHomePhabricator

Convert Special:EmailUser to OOUI
Closed, ResolvedPublic

Description

Without any action

Before:

With action

Before:

Event Timeline

matmarex created this task.Nov 4 2015, 7:53 PM
matmarex raised the priority of this task from to Normal.
matmarex updated the task description. (Show Details)
matmarex added a project: UI-Standardization.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 4 2015, 7:53 PM
Florian claimed this task.Nov 5 2015, 5:31 PM

Change 251288 had a related patch set uploaded (by Florianschmidtwelzow):
Convert Special:EmailUser to use OOUIHTMLForm

https://gerrit.wikimedia.org/r/251288

Reedy closed this task as Resolved.Jan 2 2016, 6:24 PM
Reedy added a subscriber: Reedy.
matmarex removed Florian as the assignee of this task.Jan 12 2016, 12:29 AM
matmarex set Security to None.
matmarex added a subscriber: Florian.
UtkarshGpta removed a subscriber: UtkarshGpta.

Can this patch now be reapplied?

Sure, it can if the issues are corrected.

Change 300563 had a related patch set uploaded (by Florianschmidtwelzow):
Convert Special:EmailUser to use OOUIHTMLForm

https://gerrit.wikimedia.org/r/300563

Florian claimed this task.Jul 22 2016, 3:43 PM

Ok, let's do this (again). As far as I can tell, all features of Special:EmailUser works with this ^ version. I'm happy for feedback! :)

We're just changing it over to OOUI, this will resolve the two points brought up in T73432

Change 300563 merged by jenkins-bot:
[mediawiki/core@master] Convert Special:EmailUser to use OOUIHTMLForm

https://gerrit.wikimedia.org/r/300563

Volker_E closed this task as Resolved.Oct 22 2018, 6:01 PM
Volker_E removed a project: Patch-For-Review.
Volker_E removed subscribers: Mattflaschen-WMF, gerritbot.